Pulse
Early access
Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.
List all engagement surveys
Returns a list of engagement surveys
Returns a list of engagement surveys
Query Parameters
status?string
Filter by survey status
Value in
- "draft"
- "scheduled"
- "running"
- "archived"
- "closed"
created_at[gte]?string
Created at greater than or equal to
Format
date-timecreated_at[lte]?string
Created at less than or equal to
Format
date-timeupdated_at[gte]?string
Updated at greater than or equal to
Format
date-timeupdated_at[lte]?string
Updated at less than or equal to
Format
date-timepage?integer
Page offset to fetch.
Format
int32Default
1per_page?integer
Number of results to return per page.
Format
int32Default
50offset?integer
Pad a number of results.
Format
int32Default
0Response Body
application/json
curl -X GET "https://example.com/api/v4/pulse/engagement_surveys"{ "data": [ { "id": 0, "name": "string", "status": "string", "anonymous": true, "starts_at": "2019-08-24T14:15:22Z", "ends_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "metadata": { "page": 0, "per_page": 0, "total_pages": 0, "total_count": 0 }}